<?xml version="1.0" encoding="UTF-8" ?> 
<xsl:stylesheet version="1.0"   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" indent="no" />
<xsl:template match="/">

<jobticket>	
	<!-- pour chaque noeud field -->
	<xsl:for-each select="//field">
		<!-- définition de la variable etiquette contenu dans le noeud tag --> 
		<xsl:variable name="etiquette" select="tag"/>
		
		<!--Etape de normalisation du nom du noeud : enlever les espaces -->
		<xsl:variable name="etiquette-esp" select="translate($etiquette,' ','')"/>
		
		<!--Etape de normalisation du nom du noeud : enlever les accents -->
		<xsl:variable name="etiquette-norm" select="translate($etiquette-esp,'ÀàÂâÄäÇçÈèÉéÊêËëÎîÏïÔôÖöÙùÛûÜü','AaAaAaCcEeEeEeEeIiIiOoOoUuUuUu')"/>
		
		<!-- définition de la variable valeur contenu dans le noeud value -->
		<xsl:variable name="valeur" select="value"/>
		
		<!-- écriture du noeud -->
		<xsl:element name="{$etiquette-norm}">
			<!-- écriture de la valeur -->
			<xsl:value-of select="$valeur"/>
		</xsl:element>
		
	</xsl:for-each>	
</jobticket>
</xsl:template>
</xsl:stylesheet>